Debian Bug report logs - #460824
Busybox mount: error when relatime option is used

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: "Miguel Figueiredo" <mfigueiredo@gmail.com>

Date: Thu, 27 Dec 2007 00:18:01 UTC

Severity: important

Tags: d-i, patch

Found in version busybox/1:1.1.3-5

Fixed in version busybox/1:1.9.1-2

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#457901; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Miguel Figueiredo" <mfigueiredo@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Miguel Figueiredo" <mfigueiredo@gmail.com>
To: submit@bugs.debian.org
Subject: Installation report - HP pavillion 2585ep
Date: Thu, 27 Dec 2007 00:14:46 +0000
[Message part 1 (text/plain, inline)]
Package: installation-reports

Método de arranque: CD, installgui
Versão da imagem:
http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/amd64/iso-cd/
Data: 2007-12-26 21:39+0000

Máquina: HP pavillion dv2585ep (laptop)
Processador: Core 2 Duo 2.0 GHz
Memória: 2 GB
Partições:

Saída de lspci -nn and lspci -vnn:

Checklist da Instalação do Sistema Base
[O] = OK, [E] = Erro (por favor descreva abaixo), [ ] = não foi tentado

Arranque inicial:            [O]
Detectar placa de rede:                [1]
Configurar rede:            [O]
Detectar CD:                [O]
Caregar módulos do instalador:        [O]
Detectar discos rígidos:        [O]
Particionar discos rígidos:        [E]
Instalar o sistema base:        [ ]
Configuração do relógio/fuso horário:    [ ]
Configuração do utilizador/password:    [ ]
Instalar tarefas:            [ ]
Instalar gestor de arranque:        [ ]
Total da instalação:            [ ]

Comentários/Problemas:

Although some words above are in Portuguese i think it's easy to understand.
The fail was during the partitioning of the hard drive.

- On the initial screen of country selection pressing the 'p' key doesn't
take me to countrys with names started with P. The keyboard it's disabled on
that screen (tested 2 times).

- Wired network detected (sky2 module), wireless network not detected
(ipw3945) - yes, i know firmware bla-bla ;-)

- Resizing the original NTFS filesystem takes a long time, a progress bar
would be nice so the user knows something it's happening and not stare ,
like me, to the screen.

- After clicking on "Finish partitioning and write changes to disk" the
partitioning program appears in English (i was installing in PT) and instead
of proceeding with the installation returns to same screen (a closed loop).
The console on [Alt]+[F4] has a message "Unrecognized mount option
"realtime" or missing value" (i was using relatime, indeed). On the same
screen there is also some warnings gdk_window_set_keep_above() and
...below() not implemented. After removing the relatime option and tried
again the partitioning the same happened.

- On 1st boot (another attempt) the keyboard did not corresponded to
Portuguese, after manually installation of console-setup everything was
fixed (tasks selected during installation: laptop, standard system)

-- 
Com os melhores cumprimentos/With Best Regards,

Miguel Figueiredo
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#457901; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 457901@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 457901@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: "Miguel Figueiredo" <mfigueiredo@gmail.com>, 457901@bugs.debian.org
Subject: Re: Bug#457901: Installation report - HP pavillion 2585ep
Date: Mon, 31 Dec 2007 16:32:50 +0100
On Thursday 27 December 2007, Miguel Figueiredo wrote:
> Comentários/Problemas:
> - On the initial screen of country selection pressing the 'p' key
> doesn't take me to countrys with names started with P. The keyboard
> it's disabled on that screen (tested 2 times).

Was this using the newt (textual) or the gtk (graphical) frontend?
I've just tried the newt frontend and there searching by first letter 
works fine.
With the graphical frontend, you first have to expand the correct 
continent _before_ text searching will work.

> - Wired network detected (sky2 module), wireless network not detected
> (ipw3945) - yes, i know firmware bla-bla ;-)

No comment ;-)

> - Resizing the original NTFS filesystem takes a long time, a progress
> bar would be nice so the user knows something it's happening and not
> stare , like me, to the screen.

Agreed. Implementing it is quite tricky though.

> - After clicking on "Finish partitioning and write changes to disk" the
> partitioning program appears in English (i was installing in PT) and

Could that just be due to not updated translation?

> instead of proceeding with the installation returns to same screen (a
> closed loop). The console on [Alt]+[F4] has a message "Unrecognized
> mount option "realtime" or missing value" (i was using relatime,
> indeed). On the same screen there is also some warnings
> gdk_window_set_keep_above() and ...below() not implemented. After
> removing the relatime option and tried again the partitioning the same
> happened.

This is probably because we have not added relatime support yet, although 
there is a BR open about it already.
However, it should not fail like you describe. I'll try to look into that.

> - On 1st boot (another attempt) the keyboard did not corresponded to
> Portuguese, after manually installation of console-setup everything was
> fixed

This issue was already fixed by Otavio a few days ago.

Thanks for the report.

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#457901; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 457901@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 457901@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 457901@bugs.debian.org
Cc: "Miguel Figueiredo" <mfigueiredo@gmail.com>
Subject: Re: Bug#457901: Installation report - HP pavillion 2585ep
Date: Mon, 31 Dec 2007 17:41:11 +0100
On Monday 31 December 2007, Frans Pop wrote:
> This is probably because we have not added relatime support yet,
> although there is a BR open about it already.
> However, it should not fail like you describe. I'll try to look into
> that.

I was mistaken. We do have relatime support. I'll still look into it.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#457901; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 457901@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 457901@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 457901@bugs.debian.org
Cc: "Miguel Figueiredo" <mfigueiredo@gmail.com>
Subject: Re: Bug#457901: Installation report - HP pavillion 2585ep
Date: Tue, 15 Jan 2008 05:58:37 +0100
clone 457901 -1
reassign -1 busybox 1:1.1.3-5
retitle -1 Busybox mount: error when relatime option is used
severity -1 important
tags -1 d-i
thanks

On Monday 31 December 2007, Frans Pop wrote:
> > instead of proceeding with the installation returns to same screen (a
> > closed loop). The console on [Alt]+[F4] has a message "Unrecognized
> > mount option "realtime" or missing value" (i was using relatime,
> > indeed).

It looks like this is an issue with busybox mount. I found this thread which 
has a similar report:
http://www.busybox.net/lists/busybox/2007-December/029521.html

I can easily reproduce this from a debug shell:
# mount /dev/hda1 /mnt/ -t ext3 -o relatime
mount: Mounting /dev/hda1 on /mnt/ failed: Invalid argument
# dmesg
EXT3-fs: Unrecognized mount option "realtime" or missing value

It's not limited to just ext3. If I try without the -t option, dmesg shows:
EXT3-fs: Unrecognized mount option "realtime" or missing value
jfs: Unrecognized mount option "realtime" or missing value
ReiserFS: hda1: warning: unknown mount option "realtime"
XFS: unknown mount option [realtime]

> > After removing the relatime option and tried again the partitioning the
> > same happened.

This I cannot reproduce: I selected "resume partitioning", removed the 
relatime option and then selected "Finish partitioning" again. After that 
partitions were created correctly and the installation continued with base 
installation.




Bug 457901 cloned as bug 460824. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Tue, 15 Jan 2008 05:00:05 GMT) Full text and rfc822 format available.

Bug reassigned from package `installation-reports' to `busybox'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Tue, 15 Jan 2008 05:00:07 GMT) Full text and rfc822 format available.

Changed Bug title to `Busybox mount: error when relatime option is used' from `Installation report - HP pavillion 2585ep'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Tue, 15 Jan 2008 05:00:08 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Tue, 15 Jan 2008 05:00:09 GMT) Full text and rfc822 format available.

Tags added: d-i Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Tue, 15 Jan 2008 05:00:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#460824; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Jim Paris <jim@jtan.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 460824@bugs.debian.org (full text, mbox):

From: Jim Paris <jim@jtan.com>
To: 460824@bugs.debian.org
Cc: Miguel Figueiredo <mfigueiredo@gmail.com>, Frans Pop <elendil@planet.nl>
Subject: Re: Bug#457901: Installation report - HP pavillion 2585ep
Date: Tue, 15 Jan 2008 01:49:00 -0500
Frans Pop wrote:
> I can easily reproduce this from a debug shell:
> # mount /dev/hda1 /mnt/ -t ext3 -o relatime
> mount: Mounting /dev/hda1 on /mnt/ failed: Invalid argument
> # dmesg
> EXT3-fs: Unrecognized mount option "realtime" or missing value
> 
> It's not limited to just ext3. If I try without the -t option, dmesg shows:
> EXT3-fs: Unrecognized mount option "realtime" or missing value
> jfs: Unrecognized mount option "realtime" or missing value
> ReiserFS: hda1: warning: unknown mount option "realtime"
> XFS: unknown mount option [realtime]

Your command has "relatime" and the dmesg says "realtime".  Was there
a typo somewhere or did some program really change the name?

-jim




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#460824; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 460824@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 460824@bugs.debian.org
Cc: Miguel Figueiredo <mfigueiredo@gmail.com>
Subject: Re: Bug#457901: Installation report - HP pavillion 2585ep
Date: Tue, 15 Jan 2008 08:12:42 +0100
On Tuesday 15 January 2008, Jim Paris wrote:
> Your command has "relatime" and the dmesg says "realtime".  Was there
> a typo somewhere or did some program really change the name?

Just a typo and copy/paste errors from me. Sorry for confusion.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#460824; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 460824@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: 460824@bugs.debian.org
Subject: Re: Bug#457901: Installation report - HP pavillion 2585ep
Date: Tue, 4 Mar 2008 11:11:59 +0000
[Message part 1 (text/plain, inline)]
tag 460824 patch
user ubuntu-devel@lists.ubuntu.com
usertag 460824 origin-ubuntu ubuntu-patch hardy
thanks

On Tue, Jan 15, 2008 at 05:58:37AM +0100, Frans Pop wrote:
> I can easily reproduce this from a debug shell:
> # mount /dev/hda1 /mnt/ -t ext3 -o relatime
> mount: Mounting /dev/hda1 on /mnt/ failed: Invalid argument
> # dmesg
> EXT3-fs: Unrecognized mount option "relatime" or missing value

The attached patch adds support for the relatime and norelatime mount
options, fixing this bug. (util-linux has similar code already.) Please
apply.

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[busybox.460824.diff (text/x-diff, attachment)]

Tags added: patch Request was from Colin Watson <cjwatson@ubuntu.com> to control@bugs.debian.org. (Tue, 04 Mar 2008 11:12:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#460824; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 460824@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Colin Watson <cjwatson@ubuntu.com>, 460824@bugs.debian.org
Subject: Re: Bug#460824: Bug#457901: Installation report - HP pavillion 2585ep
Date: Tue, 11 Mar 2008 14:22:28 +0100
[Message part 1 (text/plain, inline)]
On Tuesday 04 March 2008, Colin Watson wrote:
> On Tue, Jan 15, 2008 at 05:58:37AM +0100, Frans Pop wrote:
> > I can easily reproduce this from a debug shell:
> > # mount /dev/hda1 /mnt/ -t ext3 -o relatime
> > mount: Mounting /dev/hda1 on /mnt/ failed: Invalid argument
> > # dmesg
> > EXT3-fs: Unrecognized mount option "relatime" or missing value
>
> The attached patch adds support for the relatime and norelatime mount
> options, fixing this bug. (util-linux has similar code already.) Please
> apply.

Attached is an updated patch that makes relatime work with busybox 1.9.1.

There is one thing I'm wondering at.

@@ -33,6 +33,9 @@
 #ifndef MS_SILENT
 #define MS_SILENT	(1 << 15)
 #endif
+#ifndef MS_RELATIME
+#define MS_RELATIME	2097152
+#endif

I used 2097152 because that is the value Colin had. However, MS_SILENT is 
defined as a single bit (2^15), but MS_RELATIME is two bits: 2^21 + 2^1.

Is that correct?
If it is, what would be the correct notation to make it consistent with the 
notation for MS_SILENT?

Cheers,
FJP

[busybox_relatime.patch (text/x-diff, inline)]
diff -ru tmp/busybox/util-linux/mount.c busybox-1.9.1/util-linux/mount.c
--- tmp/busybox/util-linux/mount.c	2008-02-12 17:03:13.000000000 +0100
+++ busybox-1.9.1/util-linux/mount.c	2008-03-11 13:41:45.000000000 +0100
@@ -33,6 +33,9 @@
 #ifndef MS_SILENT
 #define MS_SILENT	(1 << 15)
 #endif
+#ifndef MS_RELATIME
+#define MS_RELATIME	2097152
+#endif
 
 #if defined(__dietlibc__)
 /* 16.12.2006, Sampo Kellomaki (sampo@iki.fi)
@@ -97,6 +100,8 @@
 		/* "noatime"     */ MS_NOATIME,
 		/* "diratime"    */ ~MS_NODIRATIME,
 		/* "nodiratime"  */ MS_NODIRATIME,
+		/* "relatime"    */ MS_RELATIME,
+		/* "norelatime"  */ ~MS_RELATIME,
 		/* "loud"        */ ~MS_SILENT,
 
 		// action flags
@@ -145,6 +150,8 @@
 		"noatime" "\0"
 		"diratime" "\0"
 		"nodiratime" "\0"
+		"relatime" "\0"
+		"norelatime" "\0"
 		"loud" "\0"
 
 		// action flags
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#460824; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 460824@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Frans Pop <elendil@planet.nl>
Cc: 460824@bugs.debian.org
Subject: Re: Bug#460824: Bug#457901: Installation report - HP pavillion 2585ep
Date: Tue, 11 Mar 2008 13:37:15 +0000
On Tue, Mar 11, 2008 at 02:22:28PM +0100, Frans Pop wrote:
> Attached is an updated patch that makes relatime work with busybox 1.9.1.

Thanks.

> There is one thing I'm wondering at.
> 
> @@ -33,6 +33,9 @@
>  #ifndef MS_SILENT
>  #define MS_SILENT	(1 << 15)
>  #endif
> +#ifndef MS_RELATIME
> +#define MS_RELATIME	2097152
> +#endif
> 
> I used 2097152 because that is the value Colin had. However, MS_SILENT is 
> defined as a single bit (2^15), but MS_RELATIME is two bits: 2^21 + 2^1.

One of our calculators is broken.

  $ echo '2^21' | bc
  2097152

> Is that correct?
> If it is, what would be the correct notation to make it consistent with the 
> notation for MS_SILENT?

Using (1 << 21) should be fine.

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#460824; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 460824@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 460824@bugs.debian.org
Cc: Colin Watson <cjwatson@ubuntu.com>
Subject: Re: Bug#460824: Bug#457901: Installation report - HP pavillion 2585ep
Date: Tue, 11 Mar 2008 15:12:39 +0100
[Message part 1 (text/plain, inline)]
On Tuesday 11 March 2008, Frans Pop wrote:
> I used 2097152 because that is the value Colin had. However, MS_SILENT is
> defined as a single bit (2^15), but MS_RELATIME is two bits: 2^21 + 2^1.

Never mind. Guess it shows that this kind of bit banging is not something I 
ever learned. (1 << 21) == 2097152, so here is a corrected patch for 1.9.1.

Cheers,
FJP

[busybox_relatime.patch (text/x-diff, inline)]
diff -ru tmp/busybox/util-linux/mount.c busybox-1.9.1/util-linux/mount.c
--- tmp/busybox/util-linux/mount.c	2008-02-12 17:03:13.000000000 +0100
+++ busybox-1.9.1/util-linux/mount.c	2008-03-11 15:10:12.000000000 +0100
@@ -33,6 +33,9 @@
 #ifndef MS_SILENT
 #define MS_SILENT	(1 << 15)
 #endif
+#ifndef MS_RELATIME
+#define MS_RELATIME	(1 << 21)
+#endif
 
 #if defined(__dietlibc__)
 /* 16.12.2006, Sampo Kellomaki (sampo@iki.fi)
@@ -97,6 +100,8 @@
 		/* "noatime"     */ MS_NOATIME,
 		/* "diratime"    */ ~MS_NODIRATIME,
 		/* "nodiratime"  */ MS_NODIRATIME,
+		/* "relatime"    */ MS_RELATIME,
+		/* "norelatime"  */ ~MS_RELATIME,
 		/* "loud"        */ ~MS_SILENT,
 
 		// action flags
@@ -145,6 +150,8 @@
 		"noatime" "\0"
 		"diratime" "\0"
 		"nodiratime" "\0"
+		"relatime" "\0"
+		"norelatime" "\0"
 		"loud" "\0"
 
 		// action flags
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#460824; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #67 received at 460824@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 460824@bugs.debian.org
Cc: Colin Watson <cjwatson@debian.org>
Subject: Re: Bug#460824: Bug#457901: Installation report - HP pavillion 2585ep
Date: Tue, 11 Mar 2008 15:43:33 +0100
[Message part 1 (text/plain, inline)]
On Tuesday 11 March 2008, Colin Watson wrote:
> One of our calculators is broken.
>   $ echo '2^21' | bc
>   2097152

Yes, my old Toshiba Liquid Crystal Calculator SLC-8260:
2 y^x 21
2097150

I guess I bought that thing when I started highschool, so that was 1978 
(which matches [1] :-). Guess it's either bitrotting or I've found a bug. 
Wonder where I should report that...

[1] http://www.datamath.org/Related/Toshiba/SLC-8260.htm
[signature.asc (application/pgp-signature, inline)]

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Miguel Figueiredo" <mfigueiredo@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #72 received at 460824-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 460824-close@bugs.debian.org
Subject: Bug#460824: fixed in busybox 1:1.9.1-2
Date: Thu, 13 Mar 2008 14:02:02 +0000
Source: busybox
Source-Version: 1:1.9.1-2

We believe that the bug you reported is fixed in the latest version of
busybox, which is due to be installed in the Debian FTP archive:

busybox-static_1.9.1-2_amd64.deb
  to pool/main/b/busybox/busybox-static_1.9.1-2_amd64.deb
busybox-udeb_1.9.1-2_amd64.udeb
  to pool/main/b/busybox/busybox-udeb_1.9.1-2_amd64.udeb
busybox_1.9.1-2.diff.gz
  to pool/main/b/busybox/busybox_1.9.1-2.diff.gz
busybox_1.9.1-2.dsc
  to pool/main/b/busybox/busybox_1.9.1-2.dsc
busybox_1.9.1-2_amd64.deb
  to pool/main/b/busybox/busybox_1.9.1-2_amd64.deb
busybox_1.9.1.orig.tar.gz
  to pool/main/b/busybox/busybox_1.9.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 460824@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated busybox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 13 Mar 2008 14:25:53 +0100
Source: busybox
Binary: busybox busybox-static busybox-udeb
Architecture: source amd64
Version: 1:1.9.1-2
Distribution: experimental
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 busybox    - Tiny utilities for small and embedded systems
 busybox-static - Standalone rescue shell with tons of builtin utilities
 busybox-udeb - Tiny utilities for the debian-installer (udeb)
Closes: 460824
Changes: 
 busybox (1:1.9.1-2) experimental; urgency=low
 .
   * Readd sections gc to dynamic built binaries.
   * debian/config.udeb:
     - Fix remaining problems.
     - Disable ifconfig.
   * util-linux/mount.c:
     - Support relatime. (closes: #460824)
Files: 
 8ff172d9d37c904f57cd6fc39d1c4f26 674 - optional busybox_1.9.1-2.dsc
 6181f44e8c027554f5c0f53214caf542 2118130 - optional busybox_1.9.1.orig.tar.gz
 75e3063296ef241404ade8247d9f9f85 17953 - optional busybox_1.9.1-2.diff.gz
 3ae540d26e53358638b2b75a91217e6e 321660 utils optional busybox_1.9.1-2_amd64.deb
 84f00c5f1ca65730424351f45f9dfa7d 930690 shells optional busybox-static_1.9.1-2_amd64.deb
 1027d5590d0ff549f8aba154b2dea2b9 134420 debian-installer extra busybox-udeb_1.9.1-2_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkfZMJcACgkQxWtQqFixGB5KsgCeL7ezW2tSOlAKPRCxDJSXmr5J
q+sAniG7RGeJSApe8es8CVOPNxboHwnL
=eoHy
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#460824; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #77 received at 460824@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 460824@bugs.debian.org
Subject: realtime option
Date: Sat, 15 Mar 2008 08:47:32 +0000
I just tried the d-i, the svn version, under qemu and when I choose to 
partition an ext3 partition with the realtime option it breaks the 
installation.

Under the console the following message appears:

EXT3-fs: Unrecognized mount option "relatime" or missing value



Com os melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#460824; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 460824@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Miguel Figueiredo <elmig@debianpt.org>, 460824@bugs.debian.org
Subject: Re: Bug#460824: realtime option
Date: Sat, 15 Mar 2008 11:03:42 +0100
On Saturday 15 March 2008, Miguel Figueiredo wrote:
> I just tried the d-i, the svn version, under qemu and when I choose to
> partition an ext3 partition with the realtime option it breaks the
> installation.

Known issue (see the DebianInstaller/Today wiki page).
Will be fixed with next upload of busybox.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 May 2008 07:47:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:36:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.